import { Resolvable } from './';
export declare type MapTransformer<T, TResult> = (value: T, index: number, values: T[]) => Resolvable<TResult>;
export declare function map<T, TResult>(values: T[], transformer: MapTransformer<T, TResult>, concurrency?: number): Promise<TResult[]>;
export declare type ReduceTransformer<T, TResult> = (result: TResult, value: T, index: number, values: T[]) => Resolvable<TResult>;
export declare function reduce<T, TResult>(values: T[], transformer: ReduceTransformer<T, TResult>, initial?: TResult): Promise<TResult>;
export declare type EachHandler<T> = (value: T, index: number, values: T[]) => Resolvable<void | boolean>;
export declare function each<T>(values: T[], handler: EachHandler<T>): Promise<boolean>;
export declare type SomeHandler<T> = (value: T, index: number, values: T[]) => Resolvable<boolean>;
export declare function some<T>(values: T[], handler: SomeHandler<T>): Promise<boolean>;
export declare type EveryHandler<T> = (value: T, index: number, values: T[]) => Resolvable<boolean>;
export declare function every<T>(values: T[], handler: EveryHandler<T>): Promise<boolean>;
